WordPress Plugin: genesis-featured-widget-amplified

Vulnerabilities

We are not aware of any vulnerabilities for this plugin.